import request from "@/scripts/httpRequest";
import request2 from './index'
import qs from "qs";


export const createCamera = (camera: any) => {
  return request2({
    url: "/saas/api-s/camera/add",
    method: "post",
    data: camera
  });
};

export const downloadFile = () => request({
  url: '/saas/api-s/camera/downloadExcel',
  method: 'get',
  responseType: "blob"
})

export const updateCameraInfo = (camera: any) => {
  return request2({
    url: "/saas/api-s/camera/update",
    method: "post",
    data: camera
  });
};

export const getCameraInfo = (id: string) => {
  return request({
    url: "/saas/api-s/camera/show",
    method: "get",
    params: { id: id }
  });
};

export const delCamera = (data: string) => {
  return request({
    url: "/saas/api-s/camera/del",
    method: "post",
    data: data
  });
};

export const saveCameraRules = (query: any) => {
  return request({
    url: "/data/api-v/camera/saveTask",
    method: "post",
    data: query
  });
};

export const deleteCameraRules = (query: any) => {
  return request({
    url: "/data/api-v/cameraTaskArgs/deleteByGroup",
    method: "get",
    params: query
  });
};

export const getLinkRules = (query: any) => {
  return request({
    url: "/data/api-v/cameraTaskArgs/getLinkRulesByCameraIds",
    method: "post",
    data: query
  });
};

export const saveLinkRule = (query: any) => {
  return request({
    url: "/data/api-v/cameraTaskArgs/saveLinkRulesByGroup",
    method: "post",
    data: query
  });
};

export const updateSnapshot = (data: any) => {
  return request({
    url: "/saas/api-s/camera/updateSnapshotUrl",
    method: "post",
    data:data
  });
};

//刷新国标底图
export const updategb28181 = (data: any) => {
  return request({
    url: "/saas/api-s/gb28181/camera/capture",
    method: "post",
    data:data
  });
};

export const updateCameraTask = (params: any) => {
  return request({
    url: "/data/api-v/cameraTask/updateCameraTaskStatus",
    method: "post",
    data: params
  });
};

export const updateRuleDefence = (params: any) => {
  return request({
    url: "/data/api-v/cameraTaskArgs/updateDefenceStateByGroup",
    method: "post",
    data: qs.stringify(params)
  });
};

export const updateAlarmLevel = (params: any) => {
  return request({
    url: "/data/api-v/cameraTask/saveAlarmLevelByGroup",
    method: "post",
    data: params
  });
};

export const addCameraTask = (params: any) => {
  return request({
    url: "/data/api-v/cameraTask/addTask",
    method: "post",
    data: qs.stringify(params)
  });
};

// 云台
export const ptzControl = (params: any) => {
  return request({
    url: "/data/api-v/camera/ptzControl",
    method: "post",
    data: params
  });
};
//
//查找所有(多边形)区域
export const findAllPolygons = () => {
  return request({
    url: "/data/api-v/polygon/findAll",
    method: "get"
  })
}
//查找所有(展区)区域
export const getAllAreas = () => {
  return request({
    url: "/data/api-v/acp/findAll",
    method: "get"
  })
}
//删除(展区)
export const delArea = (data: any) => {
  return request({
    url: "/data/api-v/acp/delete",
    method: "post",
    data
  })
}

//保存区域编辑
export const saveAreaInfo = (data: any) => {
  return request({
    url: "/data/api-v/acp/save",
    method: "post",
    data
  })
}

//获取摄像机的坐标标定信息
export const getCameraMarks = (query: any) => {
  return request({
    url: '/data/api-v/camera/coord',
    method: "get",
    params: query
  })
}

//更新摄像机的坐标标定信息
export const updateCameraMarks = (data: any) => {
  return request({
    url: '/data/api-v/camera/updateCoord',
    method: 'post',
    data
  })
}

//保存摄像机分组
export const saveCameraGroupInfo = (data: any) => {
  return request({
    url: '/data/api-v/camera/group/save',
    method: 'post',
    data
  })
}

//查询摄像机分组信息
export const findCameraGroups = () => {
  return request({
    url: '/data/api-v/camera/group/findAll',
    method: 'get'
  })
}

export const delCameraGroup = (groupId: string) => {
  return request({
    url: '/data/api-v/camera/group/del?groupId=' + groupId,
    method: 'post'
  })
}

